<?xml version="1.0" encoding="UTF-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/video_call_ll"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/text_color"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/layout_name"
        android:layout_width="match_parent"
        android:layout_height="@dimen/layout_name_height"
        android:padding="@dimen/padding_space_medium"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/patient_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_toStartOf="@+id/video_counter_fl"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_big"
            android:textStyle="bold"
            tools:text="Mousa Abuzaid" />

        <FrameLayout
            android:id="@+id/video_counter_fl"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:background="@drawable/shape_capsule"
            android:padding="@dimen/padding_space_small">

            <TextView
                android:id="@+id/tv_timer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="4dp"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_medium"
                android:textStyle="bold"
                android:text="00:00" />

        </FrameLayout>

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_mini"
        android:layout_width="match_parent"
        android:layout_height="@dimen/layout_mini_height"
        android:background="@color/remoteBackground"
        app:layout_constraintTop_toBottomOf="@+id/layout_name"
        android:alpha="0.5"
        android:visibility="gone"
        tools:visibility="visible">

        <ImageButton
            android:id="@+id/ic_mini"
            style="@style/Widget.MaterialComponents.Button.Icon"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_margin="@dimen/padding_space_medium"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:background="@null"
            android:src="@drawable/ic_mini" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/activity_clingo_video_call"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/control_panel"
        app:layout_constraintTop_toBottomOf="@+id/layout_mini">

        <FrameLayout
            android:id="@+id/remote_video_view_container"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/remoteBackground">

            <ImageView
                android:id="@+id/remote_video_view_icon"
                android:layout_width="@dimen/remote_back_icon_size"
                android:layout_height="@dimen/remote_back_icon_size"
                android:layout_gravity="center"
                android:src="@drawable/video_off_fill" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/local_video_view_container"
            android:layout_width="@dimen/local_preview_width"
            android:layout_height="@dimen/local_preview_height"
            android:layout_alignParentTop="true"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/local_preview_margin_top"
            android:layout_marginEnd="@dimen/local_preview_margin_top">

            <ImageView
                android:id="@+id/local_video_view_icon"
                android:layout_width="@dimen/local_back_icon_size"
                android:layout_height="@dimen/local_back_icon_size"
                android:layout_gravity="center"
                android:scaleType="centerCrop"
                android:src="@drawable/video_off_fill" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/record_container"
            android:layout_width="@dimen/local_preview_width"
            android:layout_height="@dimen/local_preview_height"
            android:layout_alignParentTop="true"
            android:layout_alignParentStart="true"
            android:visibility="visible">

            <ImageView
                android:id="@+id/record_icon"
                android:layout_width="@dimen/local_back_icon_size"
                android:layout_height="@dimen/local_back_icon_size"
                android:scaleType="centerCrop"
                android:layout_margin="5dp"
                android:src="@drawable/ic_record" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/thumbnail_container"
            android:layout_width="90dp"
            android:layout_height="90dp"
            android:visibility="gone"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="16dp"
            android:layout_marginStart="16dp"
            />

    </RelativeLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/control_panel"
        android:layout_width="match_parent"
        android:layout_height="@dimen/layout_panel_height"
        android:padding="@dimen/padding_space_big"
        app:layout_constraintBottom_toBottomOf="parent">

        <ImageView
            android:id="@+id/btn_call"
            android:layout_width="@dimen/video_icon_size"
            android:layout_height="@dimen/video_icon_size"
            android:scaleType="centerInside"
            android:src="@drawable/call"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/btn_minimize"
            android:layout_width="@dimen/video_icon_size"
            android:layout_height="@dimen/video_icon_size"
            android:scaleType="centerInside"
            android:src="@drawable/reducing"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/btn_camera"
            android:layout_width="@dimen/video_icon_size"
            android:layout_height="@dimen/video_icon_size"
            android:layout_marginStart="@dimen/padding_space_medium"
            android:scaleType="centerInside"
            android:src="@drawable/video_enabled"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_minimize"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/btn_mic"
            android:layout_width="@dimen/video_icon_size"
            android:layout_height="@dimen/video_icon_size"
            android:layout_marginStart="@dimen/padding_space_medium"
            android:scaleType="centerInside"
            android:src="@drawable/mic_enabled"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_camera"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/btn_switch_camera"
            android:layout_width="@dimen/video_icon_size"
            android:layout_height="@dimen/video_icon_size"
            android:layout_marginStart="@dimen/padding_space_medium"
            android:scaleType="centerInside"
            android:src="@drawable/camera_back"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_mic"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/btn_specker"
            android:layout_width="@dimen/video_icon_size"
            android:layout_height="@dimen/video_icon_size"
            android:layout_marginStart="@dimen/padding_space_medium"
            android:scaleType="centerInside"
            android:src="@drawable/audio_enabled"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_mic"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>

